import request from '@/utils/request'

// 查询人员-公司级培训关系列表
export function listParticipants(query) {
  return request({
    url: '/training/participants/list',
    method: 'get',
    params: query
  })
}

// 查询人员-公司级培训关系矩阵
export function companyListParticipants(query) {
  return request({
    url: '/training/participants/companyList',
    method: 'get',
    params: query
  })
}

// 查询人员-公司级培训关系详细
export function getParticipants(id) {
  return request({
    url: '/training/participants/' + id,
    method: 'get'
  })
}

// 新增人员-公司级培训关系
export function addParticipants(data) {
  return request({
    url: '/training/participants',
    method: 'post',
    data: data
  })
}

// 修改人员-公司级培训关系
export function updateParticipants(data) {
  return request({
    url: '/training/participants',
    method: 'put',
    data: data
  })
}

// 删除人员-公司级培训关系
export function delParticipants(id) {
  return request({
    url: '/training/participants/' + id,
    method: 'delete'
  })
}

// 删除所有历史人员-公司级培训关系
export function deleteAll() {
  return request({
    url: '/training/participants/deleteAll',
    method: 'delete'
  })
}

// 导出人员-公司级培训关系
export function exportParticipants(query) {
  return request({
    url: '/training/participants/export',
    method: 'get',
    params: query
  })
}
